import { Vector3, Quaternion } from "../../save-structure/data-types";
import { LongNum } from "../types";
import { DataReader } from "./interfaces";
export declare class ArrayDataReader implements DataReader {
    private _buffer;
    private _view;
    private _byteOffset;
    private _stringDecoder;
    constructor(buffer: ArrayBuffer);
    get position(): number;
    readByte(): number;
    readSByte(): number;
    readBytes(length: number): ArrayBuffer;
    viewBytes(length: number): ArrayBufferView;
    readAllBytes(): ArrayBuffer;
    viewAllBytes(): Uint8Array;
    readUInt16(): number;
    readInt16(): number;
    readUInt32(): number;
    readInt32(): number;
    readUInt64(): LongNum;
    readInt64(): LongNum;
    readSingle(): number;
    readDouble(): number;
    readChars(length: number): string;
    readKleiString(): string | null;
    readVector3(): Vector3;
    readQuaternion(): Quaternion;
    skipBytes(length: number): void;
    private _checkCanRead;
}
