"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.KnownGameObjectTypes = void 0;
/**
 * An incomplete list of known game objects.
 *
 * More objects exist in the game than are shown here.
 * These are included as a find them, to provide
 * javascript constants for object names.
 * This list is non-exhaustive, and the parser is likely
 * capable of handling any object added in the future.
 *
 * The parser can successfully handle objects not listed here.
 */
var KnownGameObjectTypes;
(function (KnownGameObjectTypes) {
    KnownGameObjectTypes["SaveGame"] = "SaveGame";
    KnownGameObjectTypes["Tile"] = "Tile";
    KnownGameObjectTypes["TilePOI"] = "TilePOI";
    KnownGameObjectTypes["FloorSwitch"] = "FloorSwitch";
    KnownGameObjectTypes["Headquarters"] = "Headquarters";
    KnownGameObjectTypes["RationBox"] = "RationBox";
    KnownGameObjectTypes["BasicForagePlantPlanted"] = "BasicForagePlantPlanted";
    KnownGameObjectTypes["LightBug"] = "LightBug";
    KnownGameObjectTypes["PrickleGrass"] = "PrickleGrass";
    KnownGameObjectTypes["BasicSingleHarvestPlant"] = "BasicSingleHarvestPlant";
    KnownGameObjectTypes["PrickleFlower"] = "PrickleFlower";
    KnownGameObjectTypes["Minion"] = "Minion";
    KnownGameObjectTypes["MushroomPlant"] = "MushroomPlant";
    KnownGameObjectTypes["BasicFabricPlant"] = "BasicFabricPlant";
    KnownGameObjectTypes["SandStone"] = "SandStone";
    KnownGameObjectTypes["POIBunkerExteriorDoor"] = "POIBunkerExteriorDoor";
    KnownGameObjectTypes["Wire"] = "Wire";
    KnownGameObjectTypes["POIDoorInternal"] = "POIDoorInternal";
    KnownGameObjectTypes["LogicWire"] = "LogicWire";
    KnownGameObjectTypes["LogicWireBridge"] = "LogicWireBridge";
    KnownGameObjectTypes["LogicGateAND"] = "LogicGateAND";
    KnownGameObjectTypes["Checkpoint"] = "Checkpoint";
    KnownGameObjectTypes["Battery"] = "Battery";
    KnownGameObjectTypes["MassiveHeatSink"] = "MassiveHeatSink";
    KnownGameObjectTypes["InsulatedGasConduit"] = "InsulatedGasConduit";
    KnownGameObjectTypes["LogicSwitch"] = "LogicSwitch";
    KnownGameObjectTypes["POIFacilityDoor"] = "POIFacilityDoor";
    KnownGameObjectTypes["ExteriorWall"] = "ExteriorWall";
    KnownGameObjectTypes["FacilityBackWallWindow"] = "FacilityBackWallWindow";
    KnownGameObjectTypes["Algae"] = "Algae";
    KnownGameObjectTypes["Clay"] = "Clay";
    KnownGameObjectTypes["IgneousRock"] = "IgneousRock";
    KnownGameObjectTypes["Phosphorite"] = "Phosphorite";
    KnownGameObjectTypes["SolidCarbonDioxide"] = "SolidCarbonDioxide";
    KnownGameObjectTypes["Ice"] = "Ice";
    KnownGameObjectTypes["Granite"] = "Granite";
    KnownGameObjectTypes["Obsidian"] = "Obsidian";
    KnownGameObjectTypes["Oilfloater"] = "Oilfloater";
    KnownGameObjectTypes["ColdBreather"] = "ColdBreather";
    KnownGameObjectTypes["ColdWheat"] = "ColdWheat";
    KnownGameObjectTypes["ColdWheatSeed"] = "ColdWheatSeed";
    KnownGameObjectTypes["Drecko"] = "Drecko";
    KnownGameObjectTypes["Glom"] = "Glom";
    KnownGameObjectTypes["SwampLily"] = "SwampLily";
    KnownGameObjectTypes["SpiceVine"] = "SpiceVine";
    KnownGameObjectTypes["Pacu"] = "Pacu";
    KnownGameObjectTypes["Puft"] = "Puft";
    KnownGameObjectTypes["GeyserGeneric_steam"] = "GeyserGeneric_steam";
    KnownGameObjectTypes["GeyserGeneric_methane"] = "GeyserGeneric_methane";
    KnownGameObjectTypes["PropTable"] = "PropTable";
    KnownGameObjectTypes["PropLight"] = "PropLight";
    KnownGameObjectTypes["SetLocker"] = "SetLocker";
    KnownGameObjectTypes["GeneShuffler"] = "GeneShuffler";
    KnownGameObjectTypes["GeyserGeneric_chlorine_gas"] = "GeyserGeneric_chlorine_gas";
    KnownGameObjectTypes["VendingMachine"] = "VendingMachine";
    KnownGameObjectTypes["PropLadder"] = "PropLadder";
    KnownGameObjectTypes["PropDesk"] = "PropDesk";
    KnownGameObjectTypes["OilWell"] = "OilWell";
    KnownGameObjectTypes["PropFacilityPainting"] = "PropFacilityPainting";
    KnownGameObjectTypes["PropFacilityWallDegree"] = "PropFacilityWallDegree";
    KnownGameObjectTypes["PropFacilityDisplay"] = "PropFacilityDisplay";
    KnownGameObjectTypes["PropFacilityStatue"] = "PropFacilityStatue";
    KnownGameObjectTypes["PropFacilityChair"] = "PropFacilityChair";
    KnownGameObjectTypes["PropFacilityCouch"] = "PropFacilityCouch";
    KnownGameObjectTypes["PropFacilityTable"] = "PropFacilityTable";
    KnownGameObjectTypes["PropFacilityChandelier"] = "PropFacilityChandelier";
    KnownGameObjectTypes["PropFacilityHangingLight"] = "PropFacilityHangingLight";
    KnownGameObjectTypes["PropFacilityDisplay2"] = "PropFacilityDisplay2";
    KnownGameObjectTypes["PropFacilityChairFlip"] = "PropFacilityChairFlip";
    KnownGameObjectTypes["PropElevator"] = "PropElevator";
    KnownGameObjectTypes["PropReceptionDesk"] = "PropReceptionDesk";
    KnownGameObjectTypes["PropTallPlant"] = "PropTallPlant";
    KnownGameObjectTypes["PropFacilityDesk"] = "PropFacilityDesk";
    KnownGameObjectTypes["PropFacilityGlobeDroors"] = "PropFacilityGlobeDroors";
    KnownGameObjectTypes["PropFacilityDisplay3"] = "PropFacilityDisplay3";
    KnownGameObjectTypes["GeyserGeneric_filthy_water"] = "GeyserGeneric_filthy_water";
    KnownGameObjectTypes["GeyserGeneric_hot_steam"] = "GeyserGeneric_hot_steam";
    KnownGameObjectTypes["GeyserGeneric_molten_gold"] = "GeyserGeneric_molten_gold";
    KnownGameObjectTypes["GeyserGeneric_hot_hydrogen"] = "GeyserGeneric_hot_hydrogen";
    KnownGameObjectTypes["SpiceVineSeed"] = "SpiceVineSeed";
    KnownGameObjectTypes["BasicFabricMaterialPlantSeed"] = "BasicFabricMaterialPlantSeed";
    KnownGameObjectTypes["StorageLocker"] = "StorageLocker";
    KnownGameObjectTypes["ColdBreatherSeed"] = "ColdBreatherSeed";
    KnownGameObjectTypes["MushroomSeed"] = "MushroomSeed";
    KnownGameObjectTypes["Meat"] = "Meat";
    KnownGameObjectTypes["DirtyIce"] = "DirtyIce";
    KnownGameObjectTypes["Katairite"] = "Katairite";
    KnownGameObjectTypes["FarmTile"] = "FarmTile";
    KnownGameObjectTypes["GasPermeableMembrane"] = "GasPermeableMembrane";
    KnownGameObjectTypes["InsulationTile"] = "InsulationTile";
    KnownGameObjectTypes["HydroponicFarm"] = "HydroponicFarm";
    KnownGameObjectTypes["MeshTile"] = "MeshTile";
    KnownGameObjectTypes["WireBridgeHighWattage"] = "WireBridgeHighWattage";
    KnownGameObjectTypes["MetalTile"] = "MetalTile";
    KnownGameObjectTypes["Iron"] = "Iron";
    KnownGameObjectTypes["GoldAmalgam"] = "GoldAmalgam";
    KnownGameObjectTypes["SedimentaryRock"] = "SedimentaryRock";
    KnownGameObjectTypes["Dirt"] = "Dirt";
    KnownGameObjectTypes["ToxicSand"] = "ToxicSand";
    KnownGameObjectTypes["SlimeMold"] = "SlimeMold";
    KnownGameObjectTypes["Water"] = "Water";
    KnownGameObjectTypes["Hatch"] = "Hatch";
    KnownGameObjectTypes["DigPlacer"] = "DigPlacer";
    KnownGameObjectTypes["Ladder"] = "Ladder";
    KnownGameObjectTypes["Bed"] = "Bed";
    KnownGameObjectTypes["Door"] = "Door";
    KnownGameObjectTypes["WashBasin"] = "WashBasin";
    KnownGameObjectTypes["LiquidPumpingStation"] = "LiquidPumpingStation";
    KnownGameObjectTypes["ManualGenerator"] = "ManualGenerator";
    KnownGameObjectTypes["ResearchCenter"] = "ResearchCenter";
    KnownGameObjectTypes["PacuEgg"] = "PacuEgg";
    KnownGameObjectTypes["GeyserGeneric_slush_water"] = "GeyserGeneric_slush_water";
    KnownGameObjectTypes["RoleStation"] = "RoleStation";
    KnownGameObjectTypes["MicrobeMusher"] = "MicrobeMusher";
    KnownGameObjectTypes["AdvancedResearchCenter"] = "AdvancedResearchCenter";
    KnownGameObjectTypes["MaficRock"] = "MaficRock";
    KnownGameObjectTypes["Regolith"] = "Regolith";
    KnownGameObjectTypes["EggShell"] = "EggShell";
    KnownGameObjectTypes["MassageTable"] = "MassageTable";
    KnownGameObjectTypes["MineralDeoxidizer"] = "MineralDeoxidizer";
    KnownGameObjectTypes["Mushroom"] = "Mushroom";
    KnownGameObjectTypes["SpiceNut"] = "SpiceNut";
    KnownGameObjectTypes["DreckoEgg"] = "DreckoEgg";
    KnownGameObjectTypes["SwampLilyFlower"] = "SwampLilyFlower";
    KnownGameObjectTypes["Generator"] = "Generator";
    KnownGameObjectTypes["BasicFabric"] = "BasicFabric";
    KnownGameObjectTypes["BatteryMedium"] = "BatteryMedium";
    KnownGameObjectTypes["Sculpture"] = "Sculpture";
    KnownGameObjectTypes["PuftAlpha"] = "PuftAlpha";
    KnownGameObjectTypes["Canvas"] = "Canvas";
    KnownGameObjectTypes["BottleEmptier"] = "BottleEmptier";
    KnownGameObjectTypes["Refrigerator"] = "Refrigerator";
    KnownGameObjectTypes["PacuBaby"] = "PacuBaby";
    KnownGameObjectTypes["SwampLilySeed"] = "SwampLilySeed";
    KnownGameObjectTypes["LiquidConduit"] = "LiquidConduit";
    KnownGameObjectTypes["LiquidPump"] = "LiquidPump";
    KnownGameObjectTypes["CO2Scrubber"] = "CO2Scrubber";
    KnownGameObjectTypes["LiquidConduitBridge"] = "LiquidConduitBridge";
    KnownGameObjectTypes["WaterPurifier"] = "WaterPurifier";
    KnownGameObjectTypes["AirFilter"] = "AirFilter";
    KnownGameObjectTypes["FlushToilet"] = "FlushToilet";
    KnownGameObjectTypes["InsulatedLiquidConduit"] = "InsulatedLiquidConduit";
    KnownGameObjectTypes["WashSink"] = "WashSink";
    KnownGameObjectTypes["FirePole"] = "FirePole";
    KnownGameObjectTypes["LiquidVent"] = "LiquidVent";
    KnownGameObjectTypes["GasPump"] = "GasPump";
    KnownGameObjectTypes["GasConduit"] = "GasConduit";
    KnownGameObjectTypes["RockCrusher"] = "RockCrusher";
    KnownGameObjectTypes["LiquidConduitRadiant"] = "LiquidConduitRadiant";
    KnownGameObjectTypes["LiquidLogicValve"] = "LiquidLogicValve";
    KnownGameObjectTypes["LogicPressureSensorGas"] = "LogicPressureSensorGas";
    KnownGameObjectTypes["LogicTemperatureSensor"] = "LogicTemperatureSensor";
    KnownGameObjectTypes["LiquidValve"] = "LiquidValve";
    KnownGameObjectTypes["HydrogenGenerator"] = "HydrogenGenerator";
    KnownGameObjectTypes["Snow"] = "Snow";
    KnownGameObjectTypes["BatterySmart"] = "BatterySmart";
    KnownGameObjectTypes["ThermalBlock"] = "ThermalBlock";
    KnownGameObjectTypes["ManualPressureDoor"] = "ManualPressureDoor";
    KnownGameObjectTypes["BleachStone"] = "BleachStone";
    KnownGameObjectTypes["FlowerVase"] = "FlowerVase";
    KnownGameObjectTypes["CreatureFeeder"] = "CreatureFeeder";
    KnownGameObjectTypes["RanchStation"] = "RanchStation";
    KnownGameObjectTypes["CreatureDeliveryPoint"] = "CreatureDeliveryPoint";
    KnownGameObjectTypes["GeyserGeneric_slimy_po2"] = "GeyserGeneric_slimy_po2";
    KnownGameObjectTypes["GasFilter"] = "GasFilter";
    KnownGameObjectTypes["Electrolyzer"] = "Electrolyzer";
    KnownGameObjectTypes["GeyserGeneric_hot_po2"] = "GeyserGeneric_hot_po2";
    KnownGameObjectTypes["GeyserGeneric_small_volcano"] = "GeyserGeneric_small_volcano";
    KnownGameObjectTypes["WireBridge"] = "WireBridge";
    KnownGameObjectTypes["HighWattageWire"] = "HighWattageWire";
    KnownGameObjectTypes["PowerTransformer"] = "PowerTransformer";
    KnownGameObjectTypes["GasConduitBridge"] = "GasConduitBridge";
    KnownGameObjectTypes["MedicalCot"] = "MedicalCot";
    KnownGameObjectTypes["DiningTable"] = "DiningTable";
    KnownGameObjectTypes["DirtyWater"] = "DirtyWater";
    KnownGameObjectTypes["Carbon"] = "Carbon";
    KnownGameObjectTypes["SuitLocker"] = "SuitLocker";
    KnownGameObjectTypes["SuitMarker"] = "SuitMarker";
    KnownGameObjectTypes["SuitFabricator"] = "SuitFabricator";
    KnownGameObjectTypes["PacuTropical"] = "PacuTropical";
    KnownGameObjectTypes["GasConduitRadiant"] = "GasConduitRadiant";
    KnownGameObjectTypes["LogicPressureSensorLiquid"] = "LogicPressureSensorLiquid";
    KnownGameObjectTypes["GasVent"] = "GasVent";
    KnownGameObjectTypes["LiquidHeater"] = "LiquidHeater";
    KnownGameObjectTypes["HatchHard"] = "HatchHard";
    KnownGameObjectTypes["LiquidConditioner"] = "LiquidConditioner";
    KnownGameObjectTypes["DreckoPlastic"] = "DreckoPlastic";
    KnownGameObjectTypes["Compost"] = "Compost";
    KnownGameObjectTypes["PressureDoor"] = "PressureDoor";
    KnownGameObjectTypes["EggIncubator"] = "EggIncubator";
    KnownGameObjectTypes["CeilingLight"] = "CeilingLight";
    KnownGameObjectTypes["LogicGateNOT"] = "LogicGateNOT";
    KnownGameObjectTypes["OilRefinery"] = "OilRefinery";
    KnownGameObjectTypes["MetalRefinery"] = "MetalRefinery";
    KnownGameObjectTypes["Polymerizer"] = "Polymerizer";
    KnownGameObjectTypes["RotPile"] = "RotPile";
    KnownGameObjectTypes["CookingStation"] = "CookingStation";
    KnownGameObjectTypes["GasVentHighPressure"] = "GasVentHighPressure";
    KnownGameObjectTypes["OilfloaterHighTemp"] = "OilfloaterHighTemp";
    KnownGameObjectTypes["GeyserGeneric_oil_drip"] = "GeyserGeneric_oil_drip";
    KnownGameObjectTypes["GeyserGeneric_hot_water"] = "GeyserGeneric_hot_water";
    KnownGameObjectTypes["GeyserGeneric_hot_co2"] = "GeyserGeneric_hot_co2";
    KnownGameObjectTypes["HatchHardEgg"] = "HatchHardEgg";
    KnownGameObjectTypes["HatchVeggie"] = "HatchVeggie";
    KnownGameObjectTypes["MethaneGenerator"] = "MethaneGenerator";
    KnownGameObjectTypes["DreckoBaby"] = "DreckoBaby";
    KnownGameObjectTypes["WireRefined"] = "WireRefined";
    KnownGameObjectTypes["OilfloaterDecor"] = "OilfloaterDecor";
    KnownGameObjectTypes["IronOre"] = "IronOre";
    KnownGameObjectTypes["BasicPlantFood"] = "BasicPlantFood";
    KnownGameObjectTypes["HatchEgg"] = "HatchEgg";
    KnownGameObjectTypes["PacuTropicalEgg"] = "PacuTropicalEgg";
    KnownGameObjectTypes["PacuCleanerBaby"] = "PacuCleanerBaby";
    KnownGameObjectTypes["PacuCleaner"] = "PacuCleaner";
    KnownGameObjectTypes["OxyRock"] = "OxyRock";
    KnownGameObjectTypes["GasLogicValve"] = "GasLogicValve";
    KnownGameObjectTypes["SolidTransferArm"] = "SolidTransferArm";
    KnownGameObjectTypes["SolidConduitInbox"] = "SolidConduitInbox";
    KnownGameObjectTypes["FertilizerMaker"] = "FertilizerMaker";
    KnownGameObjectTypes["SolidConduit"] = "SolidConduit";
    KnownGameObjectTypes["SolidConduitBridge"] = "SolidConduitBridge";
    KnownGameObjectTypes["PuftEgg"] = "PuftEgg";
    KnownGameObjectTypes["StorageLockerSmart"] = "StorageLockerSmart";
    KnownGameObjectTypes["SolidConduitOutbox"] = "SolidConduitOutbox";
    KnownGameObjectTypes["LogicGateXOR"] = "LogicGateXOR";
    KnownGameObjectTypes["PuftBaby"] = "PuftBaby";
    KnownGameObjectTypes["PowerControlStation"] = "PowerControlStation";
    KnownGameObjectTypes["PetroleumGenerator"] = "PetroleumGenerator";
    KnownGameObjectTypes["PacuTropicalBaby"] = "PacuTropicalBaby";
    KnownGameObjectTypes["DustComet"] = "DustComet";
    KnownGameObjectTypes["PowerStationTools"] = "PowerStationTools";
    KnownGameObjectTypes["WireRefinedHighWattage"] = "WireRefinedHighWattage";
    KnownGameObjectTypes["DreckoPlasticEgg"] = "DreckoPlasticEgg";
    KnownGameObjectTypes["HatchVeggieEgg"] = "HatchVeggieEgg";
    KnownGameObjectTypes["LadderUnderConstruction"] = "LadderUnderConstruction";
    KnownGameObjectTypes["TileUnderConstruction"] = "TileUnderConstruction";
})(KnownGameObjectTypes = exports.KnownGameObjectTypes || (exports.KnownGameObjectTypes = {}));
//# sourceMappingURL=known-game-objects.js.map